org.apache.sysds.hops.cost

## Class CostEstimationWrapper

- java.lang.Object
- - org.apache.sysds.hops.cost.CostEstimationWrapper

    public class CostEstimationWrapper
    extends Object

### Nested Class Summary

Nested Classes
`static class` `CostEstimationWrapper.CostType`

### Constructor Summary

Constructors
Constructor and Description
`CostEstimationWrapper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static double` `getTimeEstimate(ProgramBlock pb, ExecutionContext ec, boolean recursive)`
`static double` `getTimeEstimate(Program rtprog, ExecutionContext ec)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CostEstimationWrapper

    public CostEstimationWrapper()

### Method Detail

#### getTimeEstimate

    public static double getTimeEstimate(Program rtprog,
                                         ExecutionContext ec)

#### getTimeEstimate

    public static double getTimeEstimate(ProgramBlock pb,
                                         ExecutionContext ec,
                                         boolean recursive)